package main

import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.setValue

class LanguageManager {
    var currentLanguage by mutableStateOf(Language.FRENCH)
        private set

    fun changeLanguage() {
        currentLanguage = if (currentLanguage == Language.FRENCH) Language.ENGLISH else Language.FRENCH
    }

    fun getGlossaryText(): String {
        return when (currentLanguage) {
            Language.FRENCH -> "Glossaire"
            Language.ENGLISH -> "Glossary"
        }
    }

    fun getCodeToVerifyText(): String {
        return when (currentLanguage) {
            Language.FRENCH -> "Code à Vérifier"
            Language.ENGLISH -> "Code to Verify"
        }
    }

    fun getCompareText(): String {
        return when (currentLanguage) {
            Language.FRENCH -> "Comparer"
            Language.ENGLISH -> "Compare"
        }
    }

    fun getAddWordText(): String {
        return when (currentLanguage) {
            Language.FRENCH -> "Ajouter un mot"
            Language.ENGLISH -> "Add a word"
        }
    }

    fun getImportText(): String {
        return when (currentLanguage) {
            Language.FRENCH -> "Importer un fichier"
            Language.ENGLISH -> "Import a file"
        }
    }

    fun getExportText(): String {
        return when (currentLanguage) {
            Language.FRENCH -> "Exporter un fichier"
            Language.ENGLISH -> "Export a file"
        }
    }

    fun getSeeGlossaryText(): String {
        return when (currentLanguage) {
            Language.FRENCH -> "Voir le glossaire"
            Language.ENGLISH -> "See glossary"
        }
    }

    fun getGlossaryTitle(): String {
        return when (currentLanguage) {
            Language.FRENCH -> "Glossaire"
            Language.ENGLISH -> "Glossary"
        }
    }

    fun getLanguageChoiceTitle(): String {
        return when (currentLanguage) {
            Language.FRENCH -> "Choix du langage"
            Language.ENGLISH -> "Language choice"
        }
    }

    fun getBackButtonText(): String {
        return when (currentLanguage) {
            Language.FRENCH -> "Retour"
            Language.ENGLISH -> "Back"
        }
    }
}
